import Vue from 'vue';
export default class OptionsFilter extends Vue {
    filter: string[];
    params?: any;
    filterText?: string[];
    filterItems: string[];
    filterTextChanged(): void;
    filterChanged(): void;
    beforeMount(): void;
    myMethodForTakingValueFromFloatingFilter(value: string[]): void;
    isFilterActive(): boolean;
    doesFilterPass(params: any): boolean | undefined;
    getModel(): string[] | null | undefined;
    setModel(model: string[]): void;
}
